Create a new Speech to Text batch report request
Creates a new Speech to Text batch report request with the specified filters
POST
/
legacy
/
reporting
/
batch
/
detail
/
records
/
speech
/
to
/
text
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const speechToText = await client.legacy.reporting.batchDetailRecords.speechToText.create({
end_date: '2020-07-01T00:00:00-06:00',
start_date: '2020-07-01T00:00:00-06:00',
});
console.log(speechToText.data);import os
from datetime import datetime
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
speech_to_text = client.legacy.reporting.batch_detail_records.speech_to_text.create(
end_date=datetime.fromisoformat("2020-07-01T00:00:00-06:00"),
start_date=datetime.fromisoformat("2020-07-01T00:00:00-06:00"),
)
print(speech_to_text.data)package main
import (
"context"
"fmt"
"time"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
speechToText, err := client.Legacy.Reporting.BatchDetailRecords.SpeechToText.New(context.TODO(), telnyx.LegacyReportingBatchDetailRecordSpeechToTextNewParams{
EndDate: time.Now(),
StartDate: time.Now(),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", speechToText.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextCreateParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextCreateResponse;
import java.time.OffsetDateTime;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SpeechToTextCreateParams params = SpeechToTextCreateParams.builder()
.endDate(OffsetDateTime.parse("2020-07-01T00:00:00-06:00"))
.startDate(OffsetDateTime.parse("2020-07-01T00:00:00-06:00"))
.build();
SpeechToTextCreateResponse speechToText = client.legacy().reporting().batchDetailRecords().speechToText().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
speech_to_text = telnyx.legacy.reporting.batch_detail_records.speech_to_text.create(
end_date: "2020-07-01T00:00:00-06:00",
start_date: "2020-07-01T00:00:00-06:00"
)
puts(speech_to_text)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$speechToText = $client
->legacy
->reporting
->batchDetailRecords
->speechToText
->create(
endDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
startDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
);
var_dump($speechToText);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx legacy:reporting:batch-detail-records:speech-to-text create \
--api-key 'My API Key' \
--end-date "'2020-07-01T00:00:00-06:00'" \
--start-date "'2020-07-01T00:00:00-06:00'"curl --request POST \
--url https://api.telnyx.com/v2/legacy/reporting/batch/detail/records/speech/to/text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00"
}
'{
"data": {
"id": "ab76c3b6-80cd-11eb-9439-0242ac130002",
"created_at": "2020-07-01T00:00:00-06:00",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"download_link": "https://portal-cdrs-usage.s3.amazonaws.com",
"record_type": "speech_to_text_report"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Speech to Text batch report request data
Request object for Speech to Text detailed report
Response
Speech to text batch report request created successfully
Show child attributes
Show child attributes
Was this page helpful?
Get all Speech to Text batch report requests
Previous
Get a specific Speech to Text batch report request
Next
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const speechToText = await client.legacy.reporting.batchDetailRecords.speechToText.create({
end_date: '2020-07-01T00:00:00-06:00',
start_date: '2020-07-01T00:00:00-06:00',
});
console.log(speechToText.data);import os
from datetime import datetime
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
speech_to_text = client.legacy.reporting.batch_detail_records.speech_to_text.create(
end_date=datetime.fromisoformat("2020-07-01T00:00:00-06:00"),
start_date=datetime.fromisoformat("2020-07-01T00:00:00-06:00"),
)
print(speech_to_text.data)package main
import (
"context"
"fmt"
"time"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
speechToText, err := client.Legacy.Reporting.BatchDetailRecords.SpeechToText.New(context.TODO(), telnyx.LegacyReportingBatchDetailRecordSpeechToTextNewParams{
EndDate: time.Now(),
StartDate: time.Now(),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", speechToText.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextCreateParams;
import com.telnyx.sdk.models.legacy.reporting.batchdetailrecords.speechtotext.SpeechToTextCreateResponse;
import java.time.OffsetDateTime;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SpeechToTextCreateParams params = SpeechToTextCreateParams.builder()
.endDate(OffsetDateTime.parse("2020-07-01T00:00:00-06:00"))
.startDate(OffsetDateTime.parse("2020-07-01T00:00:00-06:00"))
.build();
SpeechToTextCreateResponse speechToText = client.legacy().reporting().batchDetailRecords().speechToText().create(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
speech_to_text = telnyx.legacy.reporting.batch_detail_records.speech_to_text.create(
end_date: "2020-07-01T00:00:00-06:00",
start_date: "2020-07-01T00:00:00-06:00"
)
puts(speech_to_text)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$speechToText = $client
->legacy
->reporting
->batchDetailRecords
->speechToText
->create(
endDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
startDate: new \DateTimeImmutable('2020-07-01T00:00:00-06:00'),
);
var_dump($speechToText);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx legacy:reporting:batch-detail-records:speech-to-text create \
--api-key 'My API Key' \
--end-date "'2020-07-01T00:00:00-06:00'" \
--start-date "'2020-07-01T00:00:00-06:00'"curl --request POST \
--url https://api.telnyx.com/v2/legacy/reporting/batch/detail/records/speech/to/text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00"
}
'{
"data": {
"id": "ab76c3b6-80cd-11eb-9439-0242ac130002",
"created_at": "2020-07-01T00:00:00-06:00",
"start_date": "2020-07-01T00:00:00-06:00",
"end_date": "2020-07-01T00:00:00-06:00",
"download_link": "https://portal-cdrs-usage.s3.amazonaws.com",
"record_type": "speech_to_text_report"
}
}